import request from '@/utils/request'

// 查询知识点题关系列表
export function listKnowledgeQuestion(query) {
  return request({
    url: '/learn/knowledgeQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询知识点题关系详细
export function getKnowledgeQuestion(id) {
  return request({
    url: '/learn/knowledgeQuestion/' + id,
    method: 'get'
  })
}

// 新增知识点题关系
export function addKnowledgeQuestion(data) {
  return request({
    url: '/learn/knowledgeQuestion',
    method: 'post',
    data: data
  })
}

// 修改知识点题关系
export function updateKnowledgeQuestion(data) {
  return request({
    url: '/learn/knowledgeQuestion',
    method: 'put',
    data: data
  })
}

// 删除知识点题关系
export function delKnowledgeQuestion(id) {
  return request({
    url: '/learn/knowledgeQuestion/' + id,
    method: 'delete'
  })
}
